*
* DDS MICRO-C 68HC11 Runtime Library - Prefix file
*
* Copyright 1991-1997 Dave Dunfield
* All rights reserved.
*
* 68HC711D3 registers are at $0000, Internal RAM is at $0040
?REGS	EQU	$8000		68HC711D3 internal registers
?parm	EQU	$0040		Parameter to runtime library
?temp	EQU	?parm+2		Temporary register
	ORG	$0100		Place code in memory here
?begin	LDS	#$7FFF		Initial stack goes here
* For raw system, you may have to shut down COP etc.
*	LDAA	#%00000100	Disable COP and internal ROM
*	STAA	?REGS+$3F	Write CONFIG register
	CLR	?heap		Zero out the heap
	JSR	main		Call user module
* Return to MON11 by jumping to its startup address
* Wait for pending serial I/O to complete first.
exit	CLRA			Get a big...
	CLRB			Timeout counter
?exit1	SUBD	#1		Reduce
	BNE	?exit1		Wait for expiry
	SWI			Re-enter monitor

$SE:1
*#map1 Segment 1 - Internal RAM based variables
	ORG	?temp+2		Position for internal variables
*08394
